
 #ifndef _NMLFX_H_
 #define _NMLFX_H_


 #define uchar unsigned char

 void NML_FXSINUS(uchar *source, uchar *dest, float xamp, float xfreq,
                  float yamp, float yfreq);

 void NML_FXBUMP(uchar *source, uchar *dest, float bump_powaX,
                 float bump_powaY, float bumplight);

 void NML_FXDILATE(uchar *source, uchar *dest, float dilatepower);

 void NML_FXDISPLACE(uchar *source, uchar *dest, int dx, int dy);


 #endif
